Package org.gdal.gdal

## Class Driver

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gdal.Driver

-     public class Driver
      extends MajorObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `CopyFiles​(java.lang.String newName, java.lang.String oldName)` |
    `Dataset` | `Create​(java.lang.String utf8_path, int xsize, int ysize)` |
    `Dataset` | `Create​(java.lang.String utf8_path, int xsize, int ysize, int bands)` |
    `Dataset` | `Create​(java.lang.String utf8_path, int xsize, int ysize, int bands, int eType)` |
    `Dataset` | `Create​(java.lang.String name, int xsize, int ysize, int bands, int eType, java.lang.String[] options)` |
    `Dataset` | `Create​(java.lang.String utf8_path, int xsize, int ysize, int bands, int eType, java.util.Vector options)` |
    `Dataset` | `Create​(java.lang.String name, int xsize, int ysize, int bands, java.lang.String[] options)` |
    `Dataset` | `CreateCopy​(java.lang.String utf8_path, Dataset src)` |
    `Dataset` | `CreateCopy​(java.lang.String utf8_path, Dataset src, int strict)` |
    `Dataset` | `CreateCopy​(java.lang.String name, Dataset src, int strict, java.lang.String[] options)` |
    `Dataset` | `CreateCopy​(java.lang.String utf8_path, Dataset src, int strict, java.util.Vector options)` |
    `Dataset` | `CreateCopy​(java.lang.String utf8_path, Dataset src, int strict, java.util.Vector options, ProgressCallback callback)` |
    `Dataset` | `CreateCopy​(java.lang.String name, Dataset src, java.lang.String[] options)` |
    `Dataset` | `CreateCopy​(java.lang.String name, Dataset src, java.util.Vector options)` |
    `Dataset` | `CreateMultiDimensional​(java.lang.String utf8_path)` |
    `Dataset` | `CreateMultiDimensional​(java.lang.String utf8_path, java.util.Vector root_group_options)` |
    `Dataset` | `CreateMultiDimensional​(java.lang.String utf8_path, java.util.Vector root_group_options, java.util.Vector options)` |
    `void` | `delete​()` |
    `int` | `Delete​(java.lang.String utf8_path)` |
    `void` | `Deregister​()` |
    `java.lang.String` | `getHelpTopic​()` |
    `java.lang.String` | `getLongName​()` |
    `java.lang.String` | `getShortName​()` |
    `int` | `Register​()` |
    `int` | `Rename​(java.lang.String newName, java.lang.String oldName)` |

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

      Overrides:
        `delete` in class `MajorObject`

    - #### Create

          public Dataset Create​(java.lang.String name,
                                int xsize,
                                int ysize,
                                int bands,
                                int eType,
                                java.lang.String[] options)

    - #### Create

          public Dataset Create​(java.lang.String name,
                                int xsize,
                                int ysize,
                                int bands,
                                java.lang.String[] options)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String name,
                                    Dataset src,
                                    int strict,
                                    java.lang.String[] options)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String name,
                                    Dataset src,
                                    java.util.Vector options)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String name,
                                    Dataset src,
                                    java.lang.String[] options)

    - #### getShortName

          public java.lang.String getShortName​()

    - #### getLongName

          public java.lang.String getLongName​()

    - #### getHelpTopic

          public java.lang.String getHelpTopic​()

    - #### Create

          public Dataset Create​(java.lang.String utf8_path,
                                int xsize,
                                int ysize,
                                int bands,
                                int eType,
                                java.util.Vector options)

    - #### Create

          public Dataset Create​(java.lang.String utf8_path,
                                int xsize,
                                int ysize,
                                int bands,
                                int eType)

    - #### Create

          public Dataset Create​(java.lang.String utf8_path,
                                int xsize,
                                int ysize,
                                int bands)

    - #### Create

          public Dataset Create​(java.lang.String utf8_path,
                                int xsize,
                                int ysize)

    - #### CreateMultiDimensional

          public Dataset CreateMultiDimensional​(java.lang.String utf8_path,
                                                java.util.Vector root_group_options,
                                                java.util.Vector options)

    - #### CreateMultiDimensional

          public Dataset CreateMultiDimensional​(java.lang.String utf8_path,
                                                java.util.Vector root_group_options)

    - #### CreateMultiDimensional

          public Dataset CreateMultiDimensional​(java.lang.String utf8_path)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String utf8_path,
                                    Dataset src,
                                    int strict,
                                    java.util.Vector options,
                                    ProgressCallback callback)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String utf8_path,
                                    Dataset src,
                                    int strict,
                                    java.util.Vector options)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String utf8_path,
                                    Dataset src,
                                    int strict)

    - #### CreateCopy

          public Dataset CreateCopy​(java.lang.String utf8_path,
                                    Dataset src)

    - #### Delete

          public int Delete​(java.lang.String utf8_path)

    - #### Rename

          public int Rename​(java.lang.String newName,
                            java.lang.String oldName)

    - #### CopyFiles

          public int CopyFiles​(java.lang.String newName,
                               java.lang.String oldName)

    - #### Register

          public int Register​()

    - #### Deregister

          public void Deregister​()